<!DOCTYPE html>
<html lang="fr">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Don't tech your time - Escape room</title>
  <base href="/jeux/timeline/">
</head>

<body>
  <div class="container">
  
  {# avant le jeu #}
  <h2 class="before display-1">Bienvenue dans l'escape game</h2>
    <h1>DON'T teCh YoUr TIME</h1>
    <div class="before"> <label for="duree" class="form-label muted">Choisir la durée du
        jeu en minutes</label>
      <div class="input-group mb-3"> <input id="duree" type="number" class="form-control" value="50"
          aria-label="Durée du jeu"> <button id="start" type="button" class="btn btn-dark btn-lg">Lancer le jeu</button>
      </div>
    </div>
    
    {# pendant le jeu #}
    <div class="jeu d-none">
      <h1>Chronos</h1>
      <div class="chronos">
        <h2 class="display-6">Temps avant activation</h2> <time class="display-3" id="countdown"></time>
        <div class="form-code">
          <div class="input-group mb-3"> <input id="code" type="number" class="form-control" maxlength="4"
              placeholder="XXXX" aria-label="Code de déblocage"> <button id="verif" type="button"
              class="btn btn-dark btn-lg">Vérifier</button> </div>
          <label for="code" class="form-label muted">Entrer le code à quatre chiffres.
            Attention chaque tentative vous fait perdre 1 minute!</label>
        </div>
      </div>
    </div>
    
    {# après le jeu #} <div class="gagne d-none">
      
      <p class="display-4"><strong>Bravo</strong>, vous avez sauvé le monde, et
      vous en savez maintenant un peu plus sur l'<em>histoire de l'informatique</em>.</p>
    
    <p class="display-4">Cette <strong>réussite</strong> vous la devez à votre
    esprit d'équipe et votre capacité de résolution de problèmes.</p>
    
    <p class="display-4">Ces compétences permettront à <strong>votre
    génération</strong> de faire avancer l'histoire de l'informatique afin de
    léguer vos avancées aux <em>générations futures</em> comme nos ancêtres
    l'ont fait.</p>
    
    <div class="d-flex justify-content-center"> <a href="./index.html"
    class="btn btn-primary">Revenir à l'accueil du site</a> </div> </div>

    <footer class="before gagne fixed-bottom p-3">
      Sons issus du site <a class="link-light" href="https://lasonotheque.org">lasonotheque.org</a> sous licence <a
        class="link-light" href="https://creativecommons.org/publicdomain/zero/1.0/deed.fr">CC0 1.0 universel,
        de Creative Commons</a>.
    </footer>
  </div>

  {# On cache le code ici #}
  <div id="solution" data-solution="{{ ENIGME_SOL }}" hidden></div>
  <script type="module" src="/room.js"></script>
</body>

</html>